@echo off
mode 80,500
setlocal
title Restore Pre-install Backup

rem ************************************************************************
rem * This source code is provided as an example.  No warranty is expressed
rem * or implied.  It is your responsibility to determine its suitability
rem * to your application, to modify it as necessary, and to validate
rem * its correctness.
rem *
rem * Licensed Materials - Property of IBM
rem * (c) Copyright IBM Corporation 2000. All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication, or
rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ************************************************************************

rem ############################################################################
rem #
rem # This script restores the IBM Payment Manager backup that was captured
rem # when the cassette was installed.  While testing, you can use this
rem # script to go back to the state where the cassette can be installed
rem # again.  This is very useful when significant changes have been made
rem # to the cassette's tables or views.
rem #
rem ############################################################################

rem Set IBM Payment Manager drive, directory name, and database instance
set PAYDRV=c:
set PAYDIR=c:\Program Files\IBM\PaymentManager
set PAYDBI=PSADMIN
%PAYDRV%
cd %PAYDIR%

db2 RESTORE DATABASE %PAYDBI% FROM %PAYDRV%\LdbCard\PreInstallBackup REPLACE EXISTING

pause
endlocal
exit
