@echo off
mode 80,500
setlocal
title Start Payment Engine with LdbCard Cassette

rem ************************************************************************
rem * This source code is provided as an example.  No warranty is expressed
rem * or implied.  It is your responsibility to determine its suitability
rem * to your application, to modify it as necessary, and to validate
rem * its correctness.
rem *
rem * Licensed Materials - Property of IBM
rem * (c) Copyright IBM Corporation 2000. All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication, or
rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ************************************************************************

rem ############################################################################
rem #
rem # This script starts the Payment Engine portion of the Payment Manager product.
rem #
rem # It takes one OPTIONAL argument, the database administrator password.
rem # If the argument is not specified, the password must be given in the ".payment" file
rem # using a single line of the form DBPassword=password
rem #
rem ############################################################################

set ODBC_SHARED_LIB_PATH=c:\Program Files\IBM\PaymentManager\sqllib\bin
set PATH=.\lib;c:\Program Files\IBM\PaymentManager\sqllib\bin;%ODBC_SHARED_LIB_PATH%;%PATH%
set CASSETTE_CLASSES=
if exist .\LdbCardCassette.jar       set CASSETTE_CLASSES=%CASSETTE_CLASSES%;.\LdbCardCassette.jar
if exist .\japi.zip                  set CASSETTE_CLASSES=%CASSETTE_CLASSES%;.\japi.zip
if exist .\eTillCyberCashClasses.zip set CASSETTE_CLASSES=%CASSETTE_CLASSES%;.\eTillCyberCashClasses.zip
if exist .\eTillSETClasses.zip       set CASSETTE_CLASSES=%CASSETTE_CLASSES%;.\eTillSETClasses.zip
set ENVIRONMENT=-Dnetverify.remote.drivers=netverify.remote.rmi.RMIDriver
set DBOWNER=ldbader
set DBUSER=ldbader
.\jre\bin\jre -noclassgc -nojit -classpath "c:\Program Files\IBM\PaymentManager\sqllib\java\db2java.zip";.\jre\lib\rt.jar;.\jre\lib\i18n.jar;.\eTillClasses.zip;.\eTillTestCassetteClasses.zip;%CASSETTE_CLASSES%;.\ %ENVIRONMENT% com.ibm.etill.framework.ETill DBDriver=COM.ibm.db2.jdbc.app.DB2Driver DBjdbcURL=jdbc:db2:psadmin DBOwner=%DBOWNER% DBUserID=%DBUSER% DBPassword=%1 messages=all
pause
endlocal
exit
